### Method

# Adw EntryRowset_input_purpose

since: 1.2

#### Declaration [src]

    void
    adw_entry_row_set_input_purpose (
      AdwEntryRow* self,
      GtkInputPurpose purpose
    )

#### Description [src]

Sets the input purpose of `self`.

The input purpose can be used by input methods to adjust their behavior.

Available since: 1.2

Sets property | `Adw.EntryRow:input-purpose`

#### Parameters

`purpose`

  Type: `GtkInputPurpose`

  The purpose.